**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Howto Sudo


## Configuration

La configuration de sudo se passe dans le fichier _/etc/sudoers_ qu'il est conseillé d'éditer avec la commande `visudo`.

### Exemples d'autorisations particulières

Autoriser l'édition d'un fichier de manière sécurisée et autoriser l'accès à un script d'init :

~~~
jdoe ALL  = (ALL) sudoedit /path/file
alice ALL = (root) /etc/init.d/apache2
~~~

`sudoedit` utilise par défaut l'éditeur par défaut pour autoriser *uniquement* l'édition du fichier en question. Tout autres actions (exécution d'un shell à l'intérieur de celui-ci, ouverture d'autres fichiers…) se feront avec les droits de l'utilisateur ayant exécuté sudo et non en tant que root.

### Lister les autorisations

Pour afficher les actions autorisées pour l'utilisateur courant par sudo, utiliser l'option "-l".

## Passer en root

On recommande sudo -i, plutôt que sudo su.
