---
categories: tips
title: Tips cURL
...

## Outrepasser le nom de domaine
Avec cette astuce, pas besoin de modifier `/etc/hosts`, ce qui est très pratique.

En HTTP classique :

~~~
$ curl http://192.0.2.1:8080/foo/bar -H 'Host: www.example.com'
~~~

En HTTPs (SNI) : 

~~~
$ curl --resolve www.example.com:443:192.0.2.1 https://www.example.com/foo/bar
~~~

## Divers

Afficher uniquement le header : 

~~~
$ curl -I www.example.com
~~~