**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**


## Serveur NFS

* Installez le paquet _nfs-kernel-server_
* Les partages se configurent dans le fichier _/etc/exports_ :

~~~
/srv/nfs 192.0.2.4(rw,root_squash,sync,no_subtree_check)
~~~

Attention, sous Squeeze, il est recommandé de désactiver l'option suivante
dans le fichier /etc/default/nfs-kernel-server :

~~~
#RPCMOUNTDOPTS=--manage-gids
RPCMOUNTDOPTS=
~~~

Sinon, cela pose de gros problème avec les groupes secondaires, voir <http://bugs.debian.org/585085>

En Wheezy pour conserver les UID/GID il faut spécifier un domaine similaire sur le client et serveur dans /etc/idmapd.conf

/!\\ Si le serveur (une wheezy) est en NFSv4 mais pas le client (une squeeze), il faudra mettre dans /etc/default/nfs-common sur la squeeze NEED_IDMAPD=yes /!\\

## Montage du partage

* Dans le fichier _/etc/fstab_ :

~~~
192.0.2.10:/srv/nfs /srv/nfs  nfs   auto,rw,_netdev,mountproto=tcp,comment=systemd.automount              0               0
~~~

~~~
# mount /srv/nfs
# mount | grep nfs
192.0.2.10:/srv/nfs on /srv/nfs type nfs4 (rw,relatime,vers=4,rsize=1048576,wsize=1048576,namlen=255,hard,proto=tcp,port=0,timeo=600,retrans=2,sec=sys,clientaddr=192.0.2.4,minorversion=0,local_lock=none,addr=192.0.2.10)
~~~

## Forcer le NFS v3

Sur le client :

~~~
192.0.2.10:/srv/nfs /srv/nfs  nfs   rw,nfsvers=3               0               0
~~~