**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

## Accéder au BIOS

Appuyer sur F8 au bon moment : <http://medicblog.net/?p=531>

# Installer l'utilitaire

Tout d'abord, en 64bits, installer les librairies de compatibilité 32bits :

~~~
root@~> aptitude install ia32-libs
~~~

Une fois fait, on va télécharger leur utilitaire. Dans le code source de [page](http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?lang=en&cc=us&prodTypeId=15351&prodSeriesId=1121486&swItem=MTX-799829d8271f455d9367978b5a&prodNameId=3288144&swEnvOID=4033&swLang=8&taskId=135&mode=4&idx=1|cette) trouvez le chemin exact pour le récupérer avec _wget_ (au moment où je rédige ces lignes, le chemin est ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux/p1976866454/v55141/HP_ProLiant_Value_Add_Software-8.25-19-12.iso).

Téléchargez l'ISO sur le serveur :

~~~
root@~> wget ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux/p1976866454/v55141/HP_ProLiant_Value_Add_Software-8.25-19-12.iso
~~~

Ensuite, monter l'ISO pour récupérer le paquet et l'installer (adapter à la version et l'architecture) :

~~~
root@~> mkdir hp_cd
root@~> mount -o loop HP_ProLiant_Value_Add_Software-8.25-19-12.iso hp_cd
root@~> cp hp_cd/pool/non-free/hpacucli_8.28-13.0.10-9_amd64.deb /tmp
root@~> cd /tmp
root@/tmp/> dpkg -i hpacucli_8.28-13.0.10-9_amd64.deb
~~~

Voilà, l'utilitaire est installé !


# Récupérer les informations des disques

Pour récupérer les informations sur le tableau RAID, on commence d'abord par connaître le n° de tableau dans lequel se trouve notre disque
~~~
root@~> hpacucli
=> ctrl all show config
Smart Array P400i in Slot 0 (Embedded)    (sn: PH78MV8884     )

   array A (SAS, Unused Space: 0 MB)

      logicaldrive 1 (136.7 GB, RAID 1, Interim Recovery Mode)

      physicaldrive 1I:1:1 (port 1I:box 1:bay 1, SAS, 146 GB, OK)
      physicaldrive 1I:1:2 (port 1I:box 1:bay 2, SAS, 146 GB, Failed)
~~~

On voit bien le tabeau RAID avec l'ID 0, et deux disques physiques qui composent notre disque logique, dont l'un des deux est noté *Failed*

Ensuite, pour trouver le n° de série du disque, on prend sont ID de disque physique (1I:1:2) et on demande ses informations dans le tabeau RAID 0
~~~
=> controller slot=0 physicaldrive 1I:1:2 show

Smart Array P400i in Slot 0 (Embedded)

   array A (Failed)

      physicaldrive 1I:1:2
         Port: 1I
         Box: 1
         Bay: 2
         Status: Failed
         Drive Type: Data Drive
         Interface Type: SAS
         Size: 146 GB
         Rotational Speed: 10000
         Firmware Revision: HPD5
         Serial Number: 3NM27MPQ00009750M7C4
         Model: HP      DG146ABAB4      
         PHY Count: 1
         PHY Transfer Rate: 3.0GBPS
~~~

Pour avoir plus de détails :

~~~
=> ctrl all show config detail

Smart Array P410i in Slot 0 (Embedded)
   Bus Interface: PCI
   Slot: 0
[...]
~~~


# Mettre à jour le firmware

Récupérer le firmware sur le support HP, il s'agit d'un script BASH auto-extractible. Executez-le et suivez les instructions.