---
toc: no
title: Base de connaissances Evolix
...

[Evolix](http://evolix.com/) est une société Open Source basée à Marseille/Paris/Montréal.  
Notre métier principal est l'hébergement et l'infogérance de serveurs notamment l'**infogérance de serveurs Linux et BSD**.

Ce wiki a vocation à rassembler nos connaissances et conventions relatives à l'administration système et réseau et de les rendre libres && publiques.  
Notre ancien wiki (également public) se trouve sur <http://oldwiki.evolix.org/>

Les documentations sont rédigées pour fonctionner sous **Debian GNU/Linux version 8 (Jessie)** ou **OpenBSD 6.0**.

**Attention**, les informations sont livrées sans garantie et peuvent être erronées ou incomplètes.  
Pour plus d'informations, consultez notre [offre d'Infogérance de serveurs](http://evolix.com/infogerance.html)


## Infogérance Linux

[DRBD](HowtoDRBD)  
[LVM](HowtoLVM)  
[RAID logiciel](HowtoRAIDLogiciel)

## Infogérance BSD

[CARP](HowtoOpenBSD/CARP)  
[FlashInstall](HowtoOpenBSD/Flashinstall)  
[GestionDisques](HowtoOpenBSD/GestionDisques)  
[Netflow](HowtoOpenBSD/Netflow)  
[OpenBGPD](HowtoOpenBSD/OpenBGPD)  
[OSPF](HowtoOpenBSD/OSPF)  
[PacketFilter](HowtoOpenBSD/PacketFilter)  
[PFSYNC](HowtoOpenBSD/PFSYNC)  
[PFStat](HowtoOpenBSD/PFStat)  
[ProxyFTP](HowtoOpenBSD/ProxyFTP)  
[Reseau](HowtoOpenBSD/Reseau)  
[RAID1](HowtoOpenBSD/RAID1)  
[VLAN](HowtoOpenBSD/VLAN)  
[VRF-rtable-rdomain](HowtoOpenBSD/VRF-rtable-rdomain)  
[Unbound](HowtoOpenBSD/Unbound)  

## Infogérance services

###### A
[Apache](HowtoApache)

###### E
[Elasticsearch](HowtoElasticsearch)  
[Suite ELK](HowtoELK)  
[Exim](HowtoExim)  
[Extfs](TipsExtfs)  

###### G
[Git](HowtoGit)  
[Gitit](HowtoGitit)  
[Gitolite](HowtoGitolite)  
[GitLab](HowtoGitlab/8)

###### H
[HAProxy](HowtoHaproxy)

###### K
[KeePassX](HowtoKeePassX)  
[KVM](HowtoKVM)

###### L
[Let's Encrypt](HowtoLetsEncrypt)

###### M
[Monit](HowtoMonit)  
[MySQL](HowtoMySQL)

###### N
[Nut](HowtoNut)  
[New Relic](HowtoNewRelic)

###### P
[Postfix](HowtoPostfix)

###### S
[Screen](HowtoScreen)  
[SSL](HowtoSSL)  
[Squid](HowtoSquid)  
[systemd](HowtoSystemd)

###### V
[Varnish](HowtoVarnish)  

## Best Practices

....

## Trucs & Astuces

[cURL](TipsCurl)  
[RIPE](HowtoRIPE)
